package com.qmth.teachcloud.common.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;

/**
 * @Description: 基础课程数据导入类
 * @Author: CaoZixuan
 * @Date: 2021-08-06
 */
public class BasicCourseImportDto {
    @ExcelNote(value = "课程名称")
    @NotNull
    private String courseName;

    @ExcelNote(value = "课程编码")
    @NotNull
    private String courseCode;

    @ExcelNote(value = "所属教研室")
    @NotNull
    private String teachingRoomName;

    @ExcelNote(value = "授课班级")
    @NotNull
    private String clazz;

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getTeachingRoomName() {
        return teachingRoomName;
    }

    public void setTeachingRoomName(String teachingRoomName) {
        this.teachingRoomName = teachingRoomName;
    }

    public String getClazz() {
        return clazz;
    }

    public void setClazz(String clazz) {
        this.clazz = clazz;
    }
}
